Subject: is there still need for devel/bmake and devel/mk-files?
To: None <>
From: Jan Schaumann <>
List: tech-pkg
Date: 06/06/2003 14:38:26

Currently, all non-NetBSD platforms using pkgsrc should be using
bootstrap-pkgsrc to, uh, yeah, bootstrap pkgsrc.  They should not ever
need either devel/bmake nor devel/mk-files.  In fact, installing them
over a bootstrap-pkgsrc'd system can cause problems.

On NetBSD, for obvious reasons, one should not need either of them as
well.  So do we still need these two packages?

Let's disregard the fact that bootstrap-pkgsrc should ideally be
packaged (or rather broken up and each tool packaged) to facilitate


"Life," said Marvin, "don't talk to me about life."